Dada2: plugin error (missing package: GenomeInfoDbData)

Hi, I've been having some troubles very similar to Error when running fastqPairedFilter · Issue #212 · benjjneb/dada2 · GitHub but the solution followed in this forum does not work for me.

I'm currently running Qiime2-2022.1 installed using conda.
I'm running dada2 with command:

qiime dada2 denoise-paired 
--i-demultiplexed-seqs ./demux-paired-end.qza 
--p-trunc-len-f 300 
--p-trunc-len-r 240
--p-max-ee-r 12 
--o-table demux-paired-end-table.qza 
--o-representative-sequences demux-paired-end-rep-seqs.qza 
--o-denoising-stats demux-paired-end-denoising-stats.qza 
--p-n-threads 2 
--verbose

And I get the error message:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmphxb4nupt/forward /tmp/tmphxb4nupt/reverse /tmp/tmphxb4nupt/output.tsv.biom /tmp/tmphxb4nupt/track.tsv /tmp/tmphxb4nupt/filt_f /tmp/tmphxb4nupt/filt_r 0 0 0 0 2.0 12 2 12 independent consensus 1.0 12 1000000

R version 4.1.3 (2022-03-10)
Loading required package: Rcpp
Error: package or namespace load failed for ‘dada2’ in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
 there is no package called ‘GenomeInfoDbData’
Execution halted
Traceback (most recent call last):
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
    run_commands([cmd])
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmphxb4nupt/forward', '/tmp/tmphxb4nupt/reverse', '/tmp/tmphxb4nupt/output.tsv.biom', '/tmp/tmphxb4nupt/track.tsv', '/tmp/tmphxb4nupt/filt_f', '/tmp/tmphxb4nupt/filt_r', '0', '0', '0', '0', '2.0', '12', '2', '12', 'independent', 'consensus', '1.0', '12', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2cli/commands.py", line 339, in __call__
    results = action(**arguments)
  File "<decorator-gen-45>", line 2, in denoise_paired
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
    outputs = self._callable_executor_(scope, callable_args,
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/home/keishamercy/miniconda3/envs/qiime2-2022.2/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 292, in denoise_paired
    raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

  An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

I've upgraded my R to the newest version, and also Qiime.
I've also tried installing the GenomeInfoDbData package in R. It should all be installed, but I still keep getting the same error message whenever I run the command. Is there anything else I can do to fix this?

Hello Anna,

Welcome to the forums! :qiime2:

Thank you for your patience while we got to this question.

Yes. As you have diagnosed, the issue is with the GenomeInfoDbData R package needed by dada2. The method that seems to work best is to install this, and all other software needed by qiime2, is to use the conda package manager instead of the one that comes with R.

When you installed Qiime2 with miniconda, did you get any errors? Are you using a new M1 mac or a shared Linux computer that may complicate the install process?

Thanks!

Hi, I've continued with deblur, but nevertheless I would still like to solve this problem.
I'll try with the conda package manager instead.
I had no errors when installing Qiime2 with miniconda, and I'm working from my own computer (from the terminal) so there shouldn't be any problems in that regard...
I'll give the conda package manager a try!

BR

1 Like